Bug 1022644 - Review Request: php-gliph - A graph library for PHP
Review Request: php-gliph - A graph library for PHP
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Remi Collet
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-23 13:12 EDT by Shawn Iwinski
Modified: 2013-11-22 21:38 EST (History)
3 users (show)

See Also:
Fixed In Version: php-gliph-0.1.5-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-11 19:37:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fedora: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
phpci.log (13.15 KB, text/plain)
2013-10-24 11:33 EDT, Remi Collet
no flags Details
review.txt (6.79 KB, text/plain)
2013-10-24 11:41 EDT, Remi Collet
no flags Details

  None (edit)
Description Shawn Iwinski 2013-10-23 13:12:49 EDT
Spec URL: https://raw.github.com/siwinski/rpms/344f7399cf6f60e15e2e9faaef3e2d2a4bdc8e9d/php-gliph.spec

SRPM URL: http://siwinski.fedorapeople.org/SRPMS/php-gliph-0.1.4-1.fc19.src.rpm

Description:
Gliph is a graph library for PHP. It provides graph building blocks and
data structures for use by other PHP applications. It is (currently) designed
for use with in-memory graphs, not for interaction with a graph database like
Neo4J (http://neo4j.org/).


Fedora Account System Username: siwinski
Comment 1 Remi Collet 2013-10-24 11:31:39 EDT
I plan to review this "small" one before another "hude" one ;)

Please add a link to https://github.com/sdboyer/gliph/issues/1

"Common licenses that require including their texts with all derivative works include ASL 2.0, EPL, BSD and MIT."

So this will be a blocker.
Comment 2 Remi Collet 2013-10-24 11:33:42 EDT
Created attachment 815836 [details]
phpci.log

phpcompatinfo version 2.24.0.
Comment 3 Remi Collet 2013-10-24 11:41:13 EDT
Created attachment 815838 [details]
review.txt

Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -b 1022644
Buildroot used: fedora-19-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, SugarActivity, Perl, R, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG
Comment 4 Remi Collet 2013-10-24 11:43:25 EDT
[!]: Requires correct, justified where necessary.
	php-common => php(language)

[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.

	"Common licenses that require including their texts with all
	derivative works include ASL 2.0, EPL, BSD and MIT."
	=> have to wait for upstream to add this file
		https://github.com/sdboyer/gliph/issues/1
	=> So this will be a blocker.


As LICENSE is now part of upstream repo, you can add it 
Source1:  https://raw.github.com/sdboyer/gliph/php53/LICENSE
Comment 5 Remi Collet 2013-10-24 11:45:38 EDT
Small notice, I don't think it make sense to have a %{github_version}.
Comment 6 Shawn Iwinski 2013-10-24 15:13:36 EDT
(In reply to Remi Collet from comment #5)
> Small notice, I don't think it make sense to have a %{github_version}.

For GitHub packages, I like to see all the GitHub information at the top vs. some at the top and some lower down in the spec.  Since the version is actually the GitHub tag I like to include that at the top.


(In reply to Remi Collet from comment #4)
> [!]: Requires correct, justified where necessary.
> 	php-common => php(language)

I hang my head in shame :(


> [!]: If the source package does not include license text(s) as a separate
> file
>      from upstream, the packager SHOULD query upstream to include it.
> 
> 	"Common licenses that require including their texts with all
> 	derivative works include ASL 2.0, EPL, BSD and MIT."
> 	=> have to wait for upstream to add this file
> 		https://github.com/sdboyer/gliph/issues/1
> 	=> So this will be a blocker.
> 
> 
> As LICENSE is now part of upstream repo, you can add it 
> Source1:  https://raw.github.com/sdboyer/gliph/php53/LICENSE

I hang my head in shame again :(  I noticed this but didn't account for it in the spec :(  I updated to the latest snapshot since it now contains the LICENSE file.



Update diff: https://github.com/siwinski/rpms/commit/2a69ec1373c680577274fdc5fb24faa28ab87fd4



Spec URL: https://github.com/siwinski/rpms/blob/2a69ec1373c680577274fdc5fb24faa28ab87fd4/php-gliph.spec

SRPM URL: http://siwinski.fedorapeople.org/SRPMS/php-gliph-0.1.4-1.20131024git8da23c6.fc19.src.rpm
Comment 7 Remi Collet 2013-10-25 01:26:09 EDT
[x]: Requires correct, justified where necessary.
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.


Blocker fixed.

=== APPROVED ===
Comment 8 Shawn Iwinski 2013-11-05 13:28:36 EST
THANKS for the review!


New Package SCM Request
=======================
Package Name: php-gliph
Short Description: A graph library for PHP
Owners: siwinski
Branches: f19 f20 el6
InitialCC:
Comment 9 Gwyn Ciesla 2013-11-05 13:48:01 EST
Git done (by process-git-requests).
Comment 10 Fedora Update System 2013-11-06 11:58:47 EST
php-gliph-0.1.5-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/php-gliph-0.1.5-1.fc20
Comment 11 Fedora Update System 2013-11-06 11:59:00 EST
php-gliph-0.1.5-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-gliph-0.1.5-1.el6
Comment 12 Fedora Update System 2013-11-06 11:59:10 EST
php-gliph-0.1.5-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/php-gliph-0.1.5-1.fc19
Comment 13 Fedora Update System 2013-11-06 22:38:32 EST
php-gliph-0.1.5-1.fc19 has been pushed to the Fedora 19 testing repository.
Comment 14 Fedora Update System 2013-11-11 19:37:59 EST
php-gliph-0.1.5-1.fc20 has been pushed to the Fedora 20 stable repository.
Comment 15 Fedora Update System 2013-11-15 15:34:24 EST
php-gliph-0.1.5-1.fc19 has been pushed to the Fedora 19 stable repository.
Comment 16 Fedora Update System 2013-11-22 21:38:08 EST
php-gliph-0.1.5-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.